services:
    # default configuration for services in *this* file
    _defaults:
        autowire: true      # Automatically injects dependencies in your services.
        autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.
        public: false       # Allows optimizing the container by removing unused services; this also means
                            # fetching services directly from the container via $container->get() won't work.
                            # The best practice is to be explicit about your dependencies anyway.
        bind:
            $params: '%params%'
            $locale: '%locale%'

#    app.example:
#        class:     AppBundle\Example
#        arguments: ["@service_id", "plain_value", "%parameter%"]
#        calls:
#            - [setService, ["@service_id"]]
#        tags:
#            - { name: twig.extension }
#            - { name: kernel.event_listener, event: kernel.exception, method: onKernelException }

    Actigraph\ActipageBaseBundle\:
        resource: '../../*'
        exclude: '../../{Controller, Entity, Repository}'

    Actigraph\ActipageBaseBundle\EventListener\LocaleListener:
        bind:
          $locale: '%locale%'
        tags:
            - { name: kernel.event_listener, event: kernel.request, priority: 11 }
   # app.locale_listener:
    #    class:  Actigraph\ActipageBaseBundle\EventListener\LocaleListener
    #    arguments: ['%availablelocales%','%locale%']
     #   tags:
    #        - { name: kernel.event_listener, event: kernel.request, priority: 11 }

    #ActipageService:
    #    class:        Actigraph\ActipageBaseBundle\Services\ActipageService
    #    arguments: ['@session','%params%','@doctrine','@router','@request_stack','@ActipageModuleService']
    #BanniereDiaporamaService:
    #    class:        Actigraph\ActipageBaseBundle\Services\BanniereDiaporamaService
    #    arguments: ['@doctrine']
    #FilesService:
    #    class:        Actigraph\ActipageBaseBundle\Services\FilesService
    #    arguments: ['%params%']

    Actigraph\ActipageBaseBundle\Twig\ActipageExtension:
        tags:
            - { name: twig.extension }

    Actigraph\ActipageBaseBundle\Services\CaptchaNone:
        autowire: false #pas besoin car construction dans le captcha selon la config

    Actigraph\ActipageBaseBundle\Services\CaptchaGoogleRecaptcha:
        autowire: false #pas besoin car construction dans le captcha selon la config

    #ActipageTwigExtension:
    #    class: Actigraph\ActipageBaseBundle\Twig\ActipageExtension
    #    arguments: ['@ActipageService','@BanniereDiaporamaService']
    #    public: false
    #    tags:
    #        - { name: twig.extension }
    #ActipageModuleService:
    #    class: Actigraph\ActipageBaseBundle\Services\ActipageModuleService
    #    arguments: ['@actipage.module.chain']

    #actipage.module.chain:
    #    class: Actigraph\ActipageBaseBundle\Services\ActipageModuleChain

    Actigraph\ActipageBaseBundle\Controller\:
        resource: '../../Controller'
        autowire: true
        public: true
        tags: ['controller.service_arguments']
